[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStream.Error

Set stream status

## Declaration

Source position: objects.pp line 292

`procedure TStream.Error(`
`Code: Integer;`
`Info: Integer`
`); virtual;`

## Description

Error sets the stream's status to Code and ErrorInfo to Info. If the StreamError procedural variable is set, Error executes it, passing Self as an argument.

This method should not be called directly from a program. It is intended to be used in descendent objects.

## Errors

None.

Documentation generated on: Feb 26 2014